PULLFIRST[THE RECORD]
API ReferenceAg Enforcement

Get recent AG enforcement actions

GET
/v1/ag-enforcement/recent
AuthorizationBearer <token>

API key passed as a Bearer token. Keys start with sk_live_.

In: header

Query Parameters

limit?integer

Maximum number of results (1-50, default 10)

Default10
Match^-?(?:0|[1-9]\d*)$
Formatint32
Range1 <= value <= 50

Response Body

application/json

curl -X GET "https://loading/api/docs-proxy/v1/ag-enforcement/recent"
[
  {
    "id": 0,
    "companyName": "string",
    "dbaNames": [
      "string"
    ],
    "individualNames": [
      "string"
    ],
    "city": "string",
    "state": "string",
    "orderType": "string",
    "actionsTaken": [
      "string"
    ],
    "penaltyAmount": 0,
    "stayedAmount": 0,
    "orderDate": "2019-08-24",
    "violationTypes": [
      "string"
    ],
    "title": "string",
    "lede": "string",
    "sourceUrl": "string",
    "matchedLicenses": [
      "string"
    ],
    "contractorMatches": [
      {
        "id": 0,
        "licenseNumber": "string",
        "licenseName": "string",
        "matchScore": 0,
        "matchMethod": "string",
        "matchConfidence": "string",
        "isVerified": true,
        "tier": "string",
        "verificationSignals": "string",
        "candidateCount": 0
      }
    ]
  }
]